Bug 853152 - setuid programs should be compiled with PIE flags
setuid programs should be compiled with PIE flags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
18
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 853068
  Show dependency treegraph
 
Reported: 2012-08-30 11:37 EDT by Steve Grubb
Modified: 2013-04-25 10:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-25 10:06:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2012-08-30 11:37:02 EDT
Description of problem:
dbus-cleanup-sockets, dbus-daemon, and dbus-daemon-launch-helper is not compiled with gcc's PIE security flag. All setuid, network, and daemon programs should have PIE enabled so that each invocation has new ASLR. Additionally, daemons and setuid programs should have full RELRO and not partial.

FILE                                                TYPE        RELRO    PIE 
/bin/dbus-cleanup-sockets                           network-local  partial  no  
/bin/dbus-daemon                                    daemon      partial  no  
/lib64/dbus-1/dbus-daemon-launch-helper             setuid      partial  no  

You can use this test program to check dbus:
http://people.redhat.com/sgrubb/files/rpm-chksec
Comment 1 Fedora Admin XMLRPC Client 2013-02-22 10:20:44 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2013-02-22 10:24:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Update System 2013-04-18 18:38:23 EDT
dbus-1.6.8-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dbus-1.6.8-5.fc19
Comment 4 Fedora Update System 2013-04-19 12:51:58 EDT
Package dbus-1.6.8-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dbus-1.6.8-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6104/dbus-1.6.8-5.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-04-25 10:06:31 EDT
dbus-1.6.8-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.